Subject: linux-next: build failure after merge of the tip tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 22 May 2020 03:31:19 +1000

Hi all,

After merging the tip tree, all my linux-next builds took signficantly
longer and used much more memory.  In some cases, builds would seg fault
due to running out of memory :-(

I have eventaully bisected it to commit

  cdd28ad2d811 ("READ_ONCE: Use data_race() to avoid KCSAN instrumentation")

For my (e.g.) x86_64 allmodconfig builds (cross compiled on PowerPC le,
-j80) the elapsed time went from around 9 minutes to over 17 minutes
and the maximum resident size (as reported by /usr/bin/time) from around
500M to around 2G (I saw lots of cc1 processes over 2G in size).

For tomorrow's linux-next (well, later today :-() I will revert that
commit (and its child) when I merge the tip tree.

-- 
Cheers,
Stephen Rothwell